
Bhp085:-TshiloDikotla - Bug #4687

Karabo Consent - Q8 /Q9 validations are errant

07/06/2019 23:48 - Kate Powis

Status: Closed Start date: 07/06/2019

Priority: Normal Due date:

Assignee: % Done: 0%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

If q8 indicates participant is illiterate, (Answer NO) Q9 (Witness Last Name, First Name) can be left blank and the consent can be

successfully saved.  Must not be saveable if Q9 is blank when answer to Q8 is NO.

If q8 indicates participant is literate, (Answer YES) Q9 (Witness Last Name, First Name) can be filled in and the consent can be

successfully saved.  Must not be saveable if Q9 is filled in when answer to Q8 is YES.

History

#1 - 16/06/2019 16:27 - moffat motlhanka

- Status changed from New to In Progress

#2 - 17/06/2019 11:59 - moffat motlhanka

- Status changed from In Progress to Resolved

#3 - 18/06/2019 19:20 - Justine Legbedze

- Status changed from Resolved to Closed

Tested with PID 49-6 and both validations are working. Closing ticket.

FYI - questions are re-numbered:

-Q8 is now Q9.

-Q9 is now Q10.
